Sidef::Object::Object(3)

NAME
Sidef::Object::Object

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Object(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Convert

METHODS

  !~
    a !~ b

Returns the

  &&
    a && b

Returns the

  :
    a : b

Returns the

  \\
    a \\ b

Returns the

  ^
    a ^ b

Returns the

  |>
    a |> b

Returns the

  ||
    a || b

Returns the

  ~~
    a ~~ b

Returns the

  ⫶
    a ⫶ b

Returns the

  ：
    a ： b

Returns the

  alias_method
    Object.alias_method()

Returns the

  bless
    Object.bless()

Returns the

  class
    Object.class()

Returns the

  clone
    Object.clone()

Returns the

  dclone
    Object.dclone()

Returns the

Aliases: deep_clone

  def_method
    Object.def_method()

Returns the

  dump
    Object.dump()

Returns the

  interpolate
    Object.interpolate()

Returns the

  is_a
    Object.is_a()

Returns the

Aliases: is_an, kind_of

  is_object
    Object.is_object()

Returns the

  is_typename
    Object.is_typename()

Returns the

  lazy
    Object.lazy()

Returns the

  method
    Object.method()

Returns the

  methods
    Object.methods()

Returns the

  new
    Object.new()

Returns the

  parent_classes
    Object.parent_classes()

Returns the

  print
    Object.print()

Returns the

  ref
    Object.ref()

Returns the

  refaddr
    Object.refaddr()

Returns the

Aliases: object_id

  reftype
    Object.reftype()

Returns the

Aliases: object_type

  respond_to
    Object.respond_to()

Returns the

  say
    Object.say()

Returns the

Aliases: println

  undef_method
    Object.undef_method()

Returns the